import React, { useState, useEffect } from "react";
import SelectBox from "./SelectBox";
import defaultThemes from "../data/themes";
import { Theme } from "../types/Theme";

export default function Select({
  setTheme,
  themes = defaultThemes,
}: {
  setTheme: (t: Theme) => void;
  themes?: { [k: string]: Theme };
}) {
  const [themeId, setthemeId] = useState("GENERAL");

  useEffect(() => {
    setTheme(themes[themeId]);
  }, [setTheme, themes, themeId]);

  return (
    <SelectBox
      label="Theme"
      items={Object.keys(themes)}
      item={[themeId, setthemeId]}
    />
  );
}
