import { teal, orange, lightBlue } from "@mui/material/colors";
import { Theme } from "../types/Theme";

export const GENERAL: Theme = {
  light: {
    palette: {
      mode: "light",
      background: {
        default: "#aaa",
        paper: "#fff",
      },
    },
  },
  dark: {
    palette: {
      mode: "dark",
      background: {
        default: "#000",
        paper: "rgb(45,45,45)",
      },
    },
  },
};

export const CODING: Theme = {
  light: {
    palette: {
      mode: "light",
      background: {
        default: teal[200],
        paper: "white",
      },
      primary: {
        main: teal[500],
      },
      secondary: {
        main: "rgba(45, 45, 65, .9)",
      },
    },
  },
  dark: {
    palette: {
      mode: "dark",
      background: {
        default: "#000",
        paper: teal[900],
      },
      primary: {
        main: teal[500],
      },
      secondary: {
        main: "rgba(45, 45, 65, .9)",
      },
    },
  },
};

export const KIDS: Theme = {
  light: {
    palette: {
      mode: "light",
      background: {
        default: "#ff99ff",
        paper: "#ffccff",
      },
      primary: {
        main: orange[400],
      },
      secondary: {
        main: orange[300],
      },
    },
  },
  dark: {
    palette: {
      mode: "dark",
      background: {
        default: "#550055",
        paper: "#990099",
      },
      primary: {
        main: orange[600],
      },
      secondary: {
        main: orange[700],
      },
    },
  },
};

export const REDBLUE: Theme = {
  light: {
    palette: {
      mode: "light",
      primary: {
        main: "#cc2200",
      },
      secondary: {
        main: "#ffcc11",
      },
      background: {
        default: "#4477ee",
        paper: "#6699ff",
      },
    },
    typography: {
      body1: {
        fontFamily: "Roboto",
      },
      body2: {
        fontFamily: "Roboto",
      },
      fontFamily: "Bangers",
      caption: {
        fontFamily: "Do Hyeon",
      },
      overline: {
        fontFamily: "Do Hyeon",
      },
    },
  },
  dark: {
    palette: {
      mode: "dark",
      primary: {
        main: "#cc2200",
      },
      secondary: {
        main: "#ffcc11",
      },
      background: {
        default: "#4477ee",
        paper: "#6699ff",
      },
    },
    typography: {
      body1: {
        fontFamily: "Roboto",
      },
      body2: {
        fontFamily: "Roboto",
      },
      fontFamily: "Bangers",
      caption: {
        fontFamily: "Do Hyeon",
      },
      overline: {
        fontFamily: "Do Hyeon",
      },
    },
  },
};

export const LX: Theme = {
  light: {
    palette: {
      mode: "light",
      background: {
        default: lightBlue[100],
        paper: lightBlue[200],
      },
      primary: {
        main: lightBlue[700],
      },
      secondary: {
        main: lightBlue[500],
      },
    },
  },
  dark: {
    palette: {
      mode: "dark",
      background: {
        default: lightBlue[900],
        paper: lightBlue[500],
      },
      primary: {
        main: lightBlue[100],
      },
      secondary: {
        main: lightBlue[300],
      },
    },
  },
};

const all = { GENERAL, CODING, KIDS, REDBLUE, LX };
export default all;
