import * as React from "react";
import useMediaQuery from "@mui/material/useMediaQuery";
import { createTheme } from "@mui/material";
import { Theme } from "../types/Theme";
import { basic } from "../data/basic";

export function useTheme(theme: Theme = basic) {
  const mode = useMediaQuery("(prefers-color-scheme: dark)") ? "dark" : "light";

  const themeMemo = React.useMemo(
    () => createTheme(theme[mode]),
    [mode, theme]
  );

  return themeMemo;
}
